package mapped;

import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;

@ObfuscatedName("iz")
public enum class228 implements MouseWheel {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Liz;"
   )
   field2412((byte)-1),
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Liz;"
   )
   field2408((byte)0),
   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "Liz;"
   )
   field2409((byte)1),
   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "Liz;"
   )
   field2410((byte)2);

   @ObfuscatedName("cw")
   static String field2415;
   @ObfuscatedName("dc")
   @ObfuscatedSignature(
      descriptor = "[Lup;"
   )
   static IndexedSprite[] worldSelectStars;
   @ObfuscatedName("ab")
   public byte field2414;

   class228(byte var3) {
      this.field2414 = var3;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(B)I",
      garbageValue = "-11"
   )
   public int rsOrdinal_base() {
      return this.field2414;
   }

   @ObfuscatedName("ao")
   @ObfuscatedSignature(
      descriptor = "(I[III)V",
      garbageValue = "-1953021335"
   )
   static void method4438_base(int var0, int[] var1, int var2) {
      for(int var3 = 0; var3 < class348.KitDefinition_fileCount; ++var3) {
         KitDefinition var4 = class1.method12(var3);
         if(var4 != null && !var4.nonSelectable && var4.bodypartID == (var0 == 1?7:0) + var2) {
            var1[PlayerComposition.equipmentIndices[var2]] = var3 + 256;
            break;
         }
      }

   }

   @ObfuscatedName("iw")
   @ObfuscatedSignature(
      descriptor = "(Ldf;II)V",
      garbageValue = "-1026770295"
   )
   static final void method4437(Actor var0, int var1) {
      Client.lastSoundEffectSourceActor = var0;
      Client.copy$updateActorSequence(var0, var1, -1026770295);
      Client.lastSoundEffectSourceActor = null;
   }
}
